"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEmbeddedScript = exports.embedScript = void 0;
const transform_error_1 = require("@wix/sdk-runtime/transform-error");
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const ambassadorWixDevcenterScriptsV1ScriptProperties = __importStar(require("./devcenter-scripts-v1-script-properties-embedded-scripts.http.js"));
/**
 * Inserts custom script tags into a site, with the specified values for any dynamic parameters. Call this method when your app is installed on a site.
 *
 * Your app must have an existing
 * [embedded script component](https://dev.wix.com/docs/build-apps/develop-your-app/extensions/site-extensions/embedded-scripts/about-embedded-scripts),
 * with exactly matching parameter names.
 * @param properties - Details of the script to embed.
 * @public
 * @requiredField properties
 * @permissionId APPS.MANAGE_EMBEDDED_SCRIPT
 * @permissionScope Manage Embedded Scripts
 * @permissionScopeId SCOPE.DC-APPS.MANAGE-EMBEDDED-SCRIPTS
 * @applicableIdentity APP
 * @fqn com.wixpress.market.aim.api.EmbeddedScriptsService.EmbedScript
 */
async function embedScript(properties, options) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[2];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({
        properties: properties,
        componentId: options?.componentId,
    });
    const reqOpts = ambassadorWixDevcenterScriptsV1ScriptProperties.embedScript(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)(result.data);
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: {
                properties: '$[0]',
                componentId: '$[1].componentId',
            },
            singleArgumentUnchanged: false,
        }, ['properties', 'options']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.embedScript = embedScript;
/**
 * Retrieves information about your app's existing embedded script.
 *
 * If your app doesn't have an embedded script on the relevant site, a `404` error is returned.
 * @public
 * @permissionId APPS.MANAGE_EMBEDDED_SCRIPT
 * @permissionScope Manage Embedded Scripts
 * @permissionScopeId SCOPE.DC-APPS.MANAGE-EMBEDDED-SCRIPTS
 * @applicableIdentity APP
 * @returns Details of the retrieved embedded script.
 * @fqn com.wixpress.market.aim.api.EmbeddedScriptsService.GetEmbeddedScript
 */
async function getEmbeddedScript(options) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[1];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({
        componentId: options?.componentId,
    });
    const reqOpts = ambassadorWixDevcenterScriptsV1ScriptProperties.getEmbeddedScript(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)(result.data)?.properties;
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: { componentId: '$[0].componentId' },
            singleArgumentUnchanged: false,
        }, ['options']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.getEmbeddedScript = getEmbeddedScript;
//# sourceMappingURL=devcenter-scripts-v1-script-properties-embedded-scripts.universal.js.map