import { RequestOptionsFactory } from '@wix/sdk-types';
/**
 * Inserts custom script tags into a site, with the specified values for any dynamic parameters. Call this method when your app is installed on a site.
 *
 * Your app must have an existing
 * [embedded script component](https://dev.wix.com/docs/build-apps/develop-your-app/extensions/site-extensions/embedded-scripts/about-embedded-scripts),
 * with exactly matching parameter names.
 */
export declare function embedScript(payload: object): RequestOptionsFactory<any>;
/**
 * Retrieves information about your app's existing embedded script.
 *
 * If your app doesn't have an embedded script on the relevant site, a `404` error is returned.
 */
export declare function getEmbeddedScript(payload: object): RequestOptionsFactory<any>;
