import { toURLSearchParams } from '@wix/sdk-runtime/rest-modules';
import { resolveUrl } from '@wix/sdk-runtime/rest-modules';
function resolveComWixpressMarketAimApiEmbeddedScriptsServiceUrl(opts) {
    const domainToMappings = {
        'api._api_base_domain_': [
            {
                srcPath: '/app-instance-manager-webapp',
                destPath: '',
            },
        ],
        'www.wixapis.com': [
            {
                srcPath: '/apps',
                destPath: '',
            },
        ],
        'wixapis.com': [
            {
                srcPath: '/apps',
                destPath: '',
            },
        ],
        'dev._base_domain_': [
            {
                srcPath: '/_api/app-instance-manager',
                destPath: '',
            },
            {
                srcPath: '/api/v1/instance',
                destPath: '/v1/instance',
            },
            {
                srcPath: '/api/v1/scripts',
                destPath: '/v1/scripts',
            },
        ],
        'manage._base_domain_': [
            {
                srcPath: '/_api/app-instance-manager',
                destPath: '',
            },
        ],
        'www._base_domain_': [
            {
                srcPath: '/_api/app-instance-manager',
                destPath: '',
            },
        ],
        'editor._base_domain_': [
            {
                srcPath: '/_api/app-instance-manager',
                destPath: '',
            },
        ],
        'blocks._base_domain_': [
            {
                srcPath: '/_api/app-instance-manager',
                destPath: '',
            },
        ],
        'create.editorx': [
            {
                srcPath: '/_api/app-instance-manager',
                destPath: '',
            },
        ],
    };
    return resolveUrl(Object.assign(opts, { domainToMappings }));
}
const PACKAGE_NAME = '@wix/auto_sdk_app-management_embedded-scripts';
/**
 * Inserts custom script tags into a site, with the specified values for any dynamic parameters. Call this method when your app is installed on a site.
 *
 * Your app must have an existing
 * [embedded script component](https://dev.wix.com/docs/build-apps/develop-your-app/extensions/site-extensions/embedded-scripts/about-embedded-scripts),
 * with exactly matching parameter names.
 */
export function embedScript(payload) {
    function __embedScript({ host }) {
        const metadata = {
            entityFqdn: 'wix.devcenter.scripts.v1.script_properties',
            method: 'POST',
            methodFqn: 'com.wixpress.market.aim.api.EmbeddedScriptsService.EmbedScript',
            packageName: PACKAGE_NAME,
            url: resolveComWixpressMarketAimApiEmbeddedScriptsServiceUrl({
                protoPath: '/v1/scripts',
                data: payload,
                host,
            }),
            data: payload,
        };
        return metadata;
    }
    return __embedScript;
}
/**
 * Retrieves information about your app's existing embedded script.
 *
 * If your app doesn't have an embedded script on the relevant site, a `404` error is returned.
 */
export function getEmbeddedScript(payload) {
    function __getEmbeddedScript({ host }) {
        const metadata = {
            entityFqdn: 'wix.devcenter.scripts.v1.script_properties',
            method: 'GET',
            methodFqn: 'com.wixpress.market.aim.api.EmbeddedScriptsService.GetEmbeddedScript',
            packageName: PACKAGE_NAME,
            url: resolveComWixpressMarketAimApiEmbeddedScriptsServiceUrl({
                protoPath: '/v1/scripts',
                data: payload,
                host,
            }),
            params: toURLSearchParams(payload),
        };
        return metadata;
    }
    return __getEmbeddedScript;
}
//# sourceMappingURL=devcenter-scripts-v1-script-properties-embedded-scripts.http.js.map